<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.resource.model.RsResource" table="rs_resource" >
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>资源名称</comment>
            </column>
        </property>
        <property name="code" type="java.lang.String">
            <column name="code" length="50" not-null="true">
                <comment>资源代码</comment>
            </column>
        </property>
        <property name="type" type="java.lang.String">
            <column name="type" length="50">
                <comment>资源类型事实表/统计表</comment>
            </column>
        </property>
        <property name="serviceRate" type="java.lang.String">
            <column name="service_rate" length="50">
                <comment>数据服务频率:实时/小时/天/周/月</comment>
            </column>
        </property>
        <property name="dataSupportType" type="java.lang.String">
            <column name="data_support_type" length="50">
                <comment>数据提供方式拉模式/推模式</comment>
            </column>
        </property>
        <property name="category" type="java.lang.String">
            <column name="category" length="50">
                <comment>资源分类对应数据资源分类表</comment>
            </column>
        </property>
        <property name="remark" type="java.lang.String">
            <column name="remark" length="200">
                <comment>说明</comment>
            </column>
        </property>
        <property name="valid" type="java.lang.String">
            <column name="valid" length="10">
                <comment>是否可用</comment>
            </column>
        </property>
        <property name="datasetCode" type="java.lang.String">
            <column name="dataset_code" length="50">
                <comment>对应数据集</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
